Subject: Re: bug#7004: 23.2; In fullscreen mode, the echo area takes too much vertical space

From: Jan Djärv <[email-masked]>
Date: Thu, 16 Sep 2010 09:35:06 +0200

2010-09-16 06:06, Eli Zaretskii skrev:
>> Date: Wed, 15 Sep 2010 22:45:40 +0200
>> From: Jan Djärv<[email-masked]>
>> CC: martin rudalics<[email-masked]>, [email-masked]
>>
>>> If all of this is true, then how do we succeed to display partial
>>> lines with the existing ``pixel-challenged'' display engine?  What am
>>> I missing?
>>
>> Partial lines are only displayed when one or more lines isn't the size of the
>> canonical font size, like the info dir page for example.  But the window as a
>> whole is still a multiple of the canonical font size.
>
> That's true, but it doesn't answer my question.  My question was how
> do we manage to display such windows when that happens.  Martin seemed
> to be saying that we cannot possibly do that, but in fact we do.

I imagine the display engine notice that there are leftover pixels and renders 
another line.  Clipping takes care of the rest.  This is the easy part, I 
guess that is why it has been done.

	Jan D.